org.apache.fop.hyphenation

## Class Hyphenation

- java.lang.Object
- - org.apache.fop.hyphenation.Hyphenation

    public class Hyphenation
    extends Object

This class represents a hyphenated word. This work was originally authored by Carlos Villegas cav@uniscope.co.jp

### Method Summary

All Methods Instance Methods Concrete Methods
`int[]` `getHyphenationPoints()`
`String` `getPostHyphenText(int index)`
`String` `getPreHyphenText(int index)`
`int` `length()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### length

    public int length()

Returns:
  the number of hyphenation points in the word

#### getPreHyphenText

    public String getPreHyphenText(int index)

Parameters:
  `index` - an index position
Returns:
  the pre-break text, not including the hyphen character

#### getPostHyphenText

    public String getPostHyphenText(int index)

Parameters:
  `index` - an index position
Returns:
  the post-break text

#### getHyphenationPoints

    public int[] getHyphenationPoints()

Returns:
  the hyphenation points

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`